Bug 279 - dbus places libs in /usr/lib
Summary: dbus places libs in /usr/lib
Status: RESOLVED FIXED
Alias: None
Product: hal
Classification: Unclassified
Component: misc (show other bugs)
Version: unspecified
Hardware: x86 (IA32) Linux (All)
: high normal
Assignee: David Zeuthen (not reading bugmail)
QA Contact:
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2004-03-06 10:54 UTC by Antony Suter
Modified: 2004-10-28 19:51 UTC (History)
0 users

See Also:
i915 platform:
i915 features:


Attachments

Description Antony Suter 2004-03-06 10:54:53 UTC
dbus places its libraries in /usr/lib. However it is a vital system library used
by hotplug. On my system /usr is a seperate partition to /, and hotplug is
called many times on boot, before /usr is mounted, failing everytime because it
cannot find libdbus*
Comment 1 David Zeuthen (not reading bugmail) 2004-03-08 07:03:09 UTC
Right - this needs to be fixed.

Perhaps a simple shell script wrapper for hal.hotplug is a fix? In such a
wrapper we would only invoke hal.hotplug if the hal daemon is actually running.
Comment 2 Colin Walters 2004-10-29 12:29:17 UTC
What's going on with this bug?  Nothing on my system in the hotplug path seems
to link to dbus.  Was this bug from when hal.hotplug used D-BUS to talk to hal?
 Now it's using its own socket, right?
Comment 3 David Zeuthen (not reading bugmail) 2004-10-29 12:51:47 UTC
Right, hal.hotplug now uses it's own socket so this bug can be closed.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.